//=============================================================================
// HotPotato.
//
// Quite an odd little mod.  I whipped this one up in my spare time.
// Once the game is started, a potato will spawn on to the map somewhere.
// The person who finds the potato, and picks it up will score points.
// If you kill a person who has the potato, you will get five points.
//=============================================================================
class HotPotato expands Mutator;

var potato potato; //the potato

function PostBeginPlay() //called immediately after the game begins
{
	if(potato==None) //if there is no tater
		spawnpotato(); //make one
	Super.PostBeginPlay(); //register the mutator and all that
}

function SpawnPotato() //makes the tater
{
	local NavigationPoint actNavPt; //NavPT we found (I used them to find a rand location for the tater)
	local int iNav,iRand; //stuff we'll use

	iNav=0; //reset the counter
	foreach AllActors(class'NavigationPoint',actNavPt) //for every nav pt
		iNav++; //count it
	iRand=int(FRand()*iNav); //pick a random nav point
	iNav=0; //reset the counter
	foreach AllActors(class'NavigationPoint',actNavPt) { //check all navpts
		iNav++; //add 1 to the counter
		if(iNav==iRand) //if we got the #
			potato=spawn(class'potato',,,actNavPt.Location,actNavPt.Rotation); //spawn a potato at the location
	}
	potato.Master=self; //set its control mutie to ourselves
}

function ScoreKill(Pawn Killer, Pawn Other) //used for score stuff
{
	if(potato.owner==Killer) //if the guy who instigated this is the same guy who has the potato
		Killer.PlayerReplicationInfo.Score-=1; //he doesn't get a pt
	if(potato.Owner==Other) { //if the guy on the bidness end of the rocket was the one with our starchy freind
		if(potato.owner!=Killer) //if it wasn't suicide
			Killer.PlayerReplicationInfo.Score+=5; //add five to the guy who killed tater dude's score
	}
	if ( NextMutator != None ) //check next mutie
		NextMutator.ScoreKill(Killer, Other); //make the next mutie do its thing
}

defaultproperties
{
}
